---
layout: assignment
published: true

title: Final Project Checkpoint
code: hw7b

assigned: Feb 7, 2023
due:
 - <strong>Submit slides on Canvas and present your project in class</strong> Feb 14, 2023

revised: April 12, 2023

description: Present a complete plan for a project to make the world slightly more accessible

---
# Overview 

The goal of your final project is to build an accessibility technology or make an existing technology more accessible. 

{% details Final Project Examples %}
Some examples of what people have done in the past include:
- [Making a light mode for zoom](https://students.washington.edu/sgbowen8/light-mode/)
- [Creating a plugin for word to prompt for better alt text](https://thenorthwes.github.io/improved-word-alt-text/)
- [Make arduino programming more accessible](https://uwcse-nsds.github.io/arduino-a11y/)
- Make a system to help someone with motor impairments create [macros for fixing typos](https://katyp.github.io/input_macros)
- Improving [coding acessiblity for BLV people in vscode](https://kburtram.github.io/CodeTalk/)
- Developing a [plain language checker](https://yichiang.github.io/plain-language-checker/#/)
- Improving [chart accessibiliy](https://accessiplot.readthedocs.io/en/latest/)
- Improving the accessibility of a [VSCode plugin for code tours](https://github.com/cclaridad/codetour)
- Creating [tactile schematics](https://www.hackster.io/monica/creating-tactile-schematics-using-fritzing-5b47f8) for circuits
- Making [markdown accessible](https://github.com/jaedong98/accessibility4md)
- Addressing [open issues](https://github.com/odilia-app/odilia/pulls?q=is%3Apr+is%3Aclosed+author%3Asamtay) for a free and open source screen reader, [odilia](https://github.com/odilia-app/)
{% enddetails %}

In this phase of the final project, you will present a complete *final* proposal for your idea to the class.

## Learning Goals / Competencies
This homework may contribute to
- Disability Awareness and Justice (including Disability Justice Framing; Finding First Person Accounts)
- Accessible Media and Documents (including Accessible Presentation Deck; Accessible Presenting; Image Description). 
- Your participation grade, as a percentage of completeness (all required parts are present)

## Length & Difficulty
We do not have details on how long this single piece of the final project usually takes students. However, overall students report a median of 7.5 hours per week plus meetings during the four weeks of the project. Some things students commented on regarding the project include:
- "I appreciate the open-endedness of this project. It gives a good opportunity to apply what we have learned, combined with the knowledge we have brought to this course."
- "I really enjoyed working with [disabled mentor]"
- "I like how open ended the project is, and it made for a really interesting last session with a wide variety of presentations."
- "Learned a lot through the project"

# Details
To complete this assignment you will need to do the following

## 0. Group formation

Your "group" should include 1-4 people. Many students prefer to work in groups, some prefer to work alone. Both are acceptible. If you join forces with other students in class, you will need to work together to finalize a joint vision for what you plan to do.

## 1. Refine Project Definition 

You may need to update other aspects of your project because of group formation or feedback from the instructors. In addition, your project needs to have additional components it did not have before, and we will be breaking some things up to ask for more detail. 

1. *update* What will you do? 
2. *update* What is your evidence for why this is needed? Includes your first person evidence and your disability justice analysis. 
3. **new** Why don't we have this already? To answer this you will need to look at what we *do* have and explain why your idea isn't already solved
4. **new** Provide technical details. How will you achieve your goals? What software/platforms will you use? What will you do yourself?
4. *update* How will you validate your idea
5. *update* Why is this feasible (timeline, etc)

## 2. Write an Accessible Slide Deck and Present In Classs

Include one slide for each of the points above. Also include a title slide with your team members on it (or yourself if you are working solo)

You may want to decide who will take part in the presentation based on who needs to improve their accessible presentation competency. 


# Turnin
Turn in is individual as competencies are assessed and submitted individually. Please include 
- Your group's slidse
- The competencies you wish to be assessed on
- A description of part of your handin should be used
to assess this (slide content or presentation), and what your role was in producing that.

Note that for each competency, you will need to meet the requirements
of the rubric for that competency
