---
layout: assignment
published: true

title: Final Project Final Presentations
code: hw7c

assigned: Feb 7, 2023
due:
 - <strong>Final presentations and deliverables due</strong> Final Exam Timeslot, March 14, 6:30pm, 2023
 
revised: February 5, 2023

description: Present your final project description

---
# Overview 

The goal of your final project is to build an accessibility technology or make an existing technology more accessible. 

{% details Final Project Examples %}
Some examples of what people have done in the past include:
- [Making a light mode for zoom](https://students.washington.edu/sgbowen8/light-mode/)
- [Creating a plugin for word to prompt for better alt text](https://thenorthwes.github.io/improved-word-alt-text/)
- [Make arduino programming more accessible](https://uwcse-nsds.github.io/arduino-a11y/)
- Make a system to help someone with motor impairments create [macros for fixing typos](https://katyp.github.io/input_macros)
- Improving [coding acessiblity for BLV people in vscode](https://kburtram.github.io/CodeTalk/)
- Developing a [plain language checker](https://yichiang.github.io/plain-language-checker/#/)
- Improving [chart accessibiliy](https://accessiplot.readthedocs.io/en/latest/)
- Improving the accessibility of a [VSCode plugin for code tours](https://github.com/cclaridad/codetour)
- Creating [tactile schematics](https://www.hackster.io/monica/creating-tactile-schematics-using-fritzing-5b47f8) for circuits
- Making [markdown accessible](https://github.com/jaedong98/accessibility4md)
- Addressing [open issues](https://github.com/odilia-app/odilia/pulls?q=is%3Apr+is%3Aclosed+author%3Asamtay) for a free and open source screen reader, [odilia](https://github.com/odilia-app/)
{% enddetails %}

In this phase of the final project, you will present a complete *final* proposal for your idea to the class.

## Learning Goals / Competencies
This homework may contribute to
- Disability Awareness and Justice (including Disability Justice Framing; Finding First Person Accounts)
- Accessibility Compliance (including Accessibility Problem Fixes; Automated Checking (if you turn in relevant UARS); AT based Checking (if you turn in relevant UARS)) 
- Accessible Media and Documents (including Accessible Document Creation; Accessible Presentation Deck; Accessible Presenting; Image Description). 
- Your participation grade, as a percentage of completeness (all required parts are present)

## Length & Difficulty
We do not have details on how long this single piece of the final project usually takes students. However, overall students report a median of 7.5 hours per week plus meetings during the four weeks of the project. Some things students commented on regarding the project include:
- "I appreciate the open-endedness of this project. It gives a good opportunity to apply what we have learned, combined with the knowledge we have brought to this course."
- "I really enjoyed working with [disabled mentor]"
- "I like how open ended the project is, and it made for a really interesting last session with a wide variety of presentations."
- "Learned a lot through the project"

# Details

## 0. Work on your final project

You should work to meet the goals you set out in your [Project Checkpoint](project-checkpoint.html). Make sure to leave sufficient time for validation and writing up your project. 

Along the way, you will participate in checkpoints throughout the weeks of the final project. All team members are expected to attend such meetings. 

In addition, please drop by office hours if you need guidance on any aspect of your project. The course staff can work with you on a case-by-case basis if you are unable to attend office hours and would like to meet at a different time. 

## 1. Create Slides And Present Them

You will submit, and present slides in-class. You will follow a similar format as your proposal 1 presentations, but will focus more on your solutions. Presentation time will be decided based on group formation and number of projects. Please ensure that your submitted slides are accessible and that you are making best-effort to present accessibly while staying on-time. Your slides should include the following. Note that *update* are slides you have presented before and **new** are new content. 

1. *update* What (at a high level) did <s>will</s> you do? 
2. *update* What is your evidence for why this is needed? Includes your first person evidence and your disability justice analysis. 
3. *update* Why don't we have this already? To answer this you will need to look at what we *do* have and explain why your idea isn't already solved
4. *update* Provide technical details. How did <s>will</s> you achieve your goals? What software/platforms did <s>will</s> you use? What did <s>will</s> you do yourself?
5. **new** Show us a demo! 
5. *update* How did <s>will</s> you validate your idea and what were the results
6. **new** What are some things you learned from this effort? <s> Why is this feasible (timeline, etc)</s> 

Presentation length TBD depending on the number of groups.

## 2. Create a webpage
You will make a (minimum W3C Level A) accessible, public-facing webpage. There are several simple options for you to host a public-facing page, we'll post more details about that. 

You should also follow the writing guidelines put out by [SIGACCESS for writing about disability](https://www.sigaccess.org/welcome-to-sigaccess/resources/accessible-writing-guide/)

Your page should contain the following:

- Text describing: 
  - Introduction– 1-3 paragraphs: Present the promise/ obstacle/ solution for your project— What is the problem you are solving and why is it important to solve it? 
  - Related Work– 1-3 paragraphs: Talk about relevant work that closely connects with your project.
  - Methodology– about 3 paragraphs: What did you do in your project- what did you design or implement? What role did people with disabilities play in this, if any
  - Disability Justice Perspective– 1 paragraph: How did a disability studies perspective inform your project?
  - Learnings and future work -- 1-2 paragraphs: Describe what you learned and how this can be extended/ built on in the future.
  - How you made your app accessible -- 1-2 paragraphs and (optionally) UARS you found in an appendix 
  
To demonstrate that your website is accessible, please include an accessibility check summary at a minimum using an automated tool to generate it. 

## 3. Create a video
You may optionally create a video. Typically, this would contain
similar content to your presentation, and should be included in your
webpage. In your video, you should present accessibly, verbally
describing important visual elements and events. Your video should
alse include captions.


# Turnin
Your final set of deliverables are individual as competencies are assessed and submitted individually.
- Your slide deck presenting your work 
- Your public-facing web page
- Your public web page accessibility assessment
- The competencies you wish to be assessed on
- A description of part of your handin should be used
to assess this (slide content or presentation), and what your role was in producing that.

Note that for each competency, you will need to meet the requirements
of the rubric for that competency

