---
layout: assignment
published: true

title: Final Project Proposal
code: hw7a

assigned: Feb 7, 2023
due:
 - <strong>Post and comment on ideas on Ed</strong> by Feb 10, 2023

revised: April 12, 2023

description: Propose a project to make the world slightly more accessible

---
* TOC 
{:toc}

# Overview 

The goal of your final project is to build an accessibility technology or make an existing technology more accessible. 

{% details Final Project Examples %}
Some examples of what people have done in the past include:
- [Making a light mode for zoom](https://students.washington.edu/sgbowen8/light-mode/)
- [Creating a plugin for word to prompt for better alt text](https://thenorthwes.github.io/improved-word-alt-text/)
- [Make arduino programming more accessible](https://uwcse-nsds.github.io/arduino-a11y/)
- Make a system to help someone with motor impairments create [macros for fixing typos](https://katyp.github.io/input_macros)
- Improving [coding acessiblity for BLV people in vscode](https://kburtram.github.io/CodeTalk/)
- Developing a [plain language checker](https://yichiang.github.io/plain-language-checker/#/)
- Improving [chart accessibiliy](https://accessiplot.readthedocs.io/en/latest/)
- Improving the accessibility of a [VSCode plugin for code tours](https://github.com/cclaridad/codetour)
- Creating [tactile schematics](https://www.hackster.io/monica/creating-tactile-schematics-using-fritzing-5b47f8) for circuits
- Making [markdown accessible](https://github.com/jaedong98/accessibility4md)
- Addressing [open issues](https://github.com/odilia-app/odilia/pulls?q=is%3Apr+is%3Aclosed+author%3Asamtay) for a free and open source screen reader, [odilia](https://github.com/odilia-app/)
{% enddetails %}

In this phase of the final project, you will propose a specific project idea that you come up with.

## Learning Goals / Competencies
This homework may contribute to
- Understanding how to apply a disability justice framing
- Image description
- Finding first person accounts 
- Your participation grade, as a percentage of completeness (all required parts are present)

## Length & Difficulty
We do not have details on how long this single piece of the final project usually takes students. However, overall students report a median of 7.5 hours per week plus meetings during the four weeks of the project. Some things students commented on regarding the project include:
- "I appreciate the open-endedness of this project. It gives a good opportunity to apply what we have learned, combined with the knowledge we have brought to this course."
- "I really enjoyed working with [disabled mentor]"
- "I like how open ended the project is, and it made for a really interesting last session with a wide variety of presentations."
- "Learned a lot through the project"

# Details
To complete this assignment, you will need to do the following

## 0. Brainstorm an Idea
 In choosing this project, you may want to draw from personal expertise, literature, or user data should you have access to it. Your idea should have the following components. 
 - Implementation component: This project should require the creation of novel technology or resources involving programming. 
 - Validation component: Your project also must include a validation component (some way of measuring how well it works). This typically involves developing a set of examples and metrics for success, and assessing how well the technology performs on them. 
 
*Note on disability involvement in this project* It is not feasible to do a full iterative design cycle in this project (and not necessarily an ethical use of the time of people with disabilities). However if you want to include data from interviewing, or testing with, people with disabilities, that is permissable. That said, your project should not unduly burden the disability comumnity. Some projects may allow for direct collaboration with or feedback from people with disabilities, others may not. Please reach out to us for guidance on this if you intend to work with disabled participants. 
 
## 1. Develop an Argument for The Idea

We want to avoid creating [Disability Dongles](https://blog.castac.org/2022/04/disability-dongle/). To avoid this, we do two important things
1. You should inform your project from first person accounts if at all possible.  If you cannot find first person commentary on the topic, please reach out to the course staff for help. We may tell you not to worry about it, or point you at resources such as research papers that have interviews of people with disabilities in them. 
2. You should analyze your idea from a disability justice perspective. You should identify at least *two disability justice principles* that your idea helps to address.  Think critically about whether and how your project empowers and gives agency to people with disabilities, as well as the extent to which it expects/engages the larger structural issues around the problem you’re trying to solve. 


## 2. Write 4 paragraphs summarizing the idea 

Your write up should include the following information
  - **Paragraph 1:** What will you do? What first person evidence did you find for this idea? Provide a brief summary and links.
  - **Paragraph 2:** How does it address disability justice?  Define the two principles you selected and explain how your idea furthers them. 
  - **Paragraph 3:** How will you validate your idea
  - **Pargaraph 4:** Why is this feasible (timeline, etc)

Given the number of weeks available, be careful not to overcommit. You must figure out how to fit this all in about four weeks.

# Turnin 
You will need to submit your writeup to the class [discussion board]({{site.discussion}})  before next class. The category should be "Assignments", the subcategory should be "Disability Justice" 



